// ****************************************************************
//
//   IBM Confidential
//   OCO Source Materials
//   <<PART NUMBER - 5724-B75>>
//   (C) Copyright IBM Corp. 2001 - All Rights Reserved.
//   US Government Users Restricted Rights - Use, duplication or disclosure
//   restricted by GSA ADP Schedule Contract with IBM Corp.
//
// ****************************************************************

package com.ibm.etools.cobol.importer;

public class CircularBuffer 
{
	private static String copyright = "(c) Copyright IBM Corporation 1998, 1999.";
 	private static int length = 100;
  	private Object[] data = new Object[length];
   	private int current = 0;
   public Object get(int index){
	  return data[index];
   }   
   public int put(Object s){
	  int index = current;
	  data[index] = s;
	  current = (current+1)%length;
	  return index;
   }   
}
