// ****************************************************************
//
//   IBM Confidential
//   OCO Source Materials
//   <<com.ibm.etools.cobol>>
//   (C) Copyright IBM Corp. 2001,2004 - All Rights Reserved.
//   US Government Users Restricted Rights - Use, duplication or disclosure
//   restricted by GSA ADP Schedule Contract with IBM Corp.
//
// ****************************************************************

package com.ibm.etools.cobol.importer;

//import java.io.*;
//import java.util.*;
//
//import org.eclipse.core.runtime.Platform;
//
//import com.ibm.etools.cobol.*;
//import com.ibm.etools.typedescriptor.*;
//import com.ibm.ivj.eab.record.cobol.*;
//import com.ibm.record.*;

/**
 * Insert the type's description here.
 * Creation date: (7/19/00 1:08:04 PM)
 * @author: Administrator
 */
public class CobolSourceImporter extends org.eclipse.emf.ecore.resource.impl.ResourceFactoryImpl {
	private static final String copyright = "(c) Copyright IBM Corporation 2001,2004.";


	private static CobolSourceImporter thisImporter = null;
//	private String fileName;
//	private CobolDynamicRecordType mainDRT = null;
//	private String[] level01Records = null;
//	private boolean isBigDec = false;
//	private boolean isCics = false;
//	private static HashMap cobolOptions;
//	private Collection objectList;
//		
//	private static COBOLFactory cobolFactory;
//	private static TypeDescriptorFactory tdFactory;
//
//	private COBOLSimpleType simpleType;
//
//	private Vector odoArrayNames = new Vector();
//	private Vector odoElements   = new Vector();
//	private Vector odoPositions  = new Vector();
//	private Vector odoCurrentPosition = new Vector();
//
//	private int parentMaxAlignmentFactor;
//	private int childMaxAlignmentFactor;
//			
//	private static PlatformCompilerInfo compilerType = null;
//	private BaseTDType baseTD;
//	
//	/*
//	 * This is the table of floating point format values
//	 * used in CobolPreferencePage.
//	 * This will be mapped to the enumeration values in the COBOL model
//	 *
//	public static final String FPF_ITEM[] = {
//		"IEEE Non-Extended",
//		"IBM 390 Hexadecimal"
//	};
//	 */
//	public static final FloatValue FPF_ITEM[] = {
//		FloatValue.IEEE_NON_EXTENDED_LITERAL,
//		FloatValue.IBM390_HEX_LITERAL,
//	};
	
/**
 * CobolImporter constructor comment.
 */
public CobolSourceImporter() {
	super();
	
//	/*
//	 * Create a COBOL factory
//	 */
//	String packageURI = COBOLPackage.eNS_URI;
//	COBOLPackage cobolPackage = 
//		(COBOLPackage)org.eclipse.emf.ecore.EPackage.Registry.INSTANCE.
//			getEPackage(packageURI);
//	cobolFactory    = (COBOLFactory)cobolPackage.getEFactoryInstance();
//
//	/*
//	 * Create a Type Descriptor factory
//	 */
//	packageURI = TypeDescriptorPackage.eNS_URI;
//	TypeDescriptorPackage tdPackage = (TypeDescriptorPackage)
//		org.eclipse.emf.ecore.EPackage.Registry.INSTANCE.
//			getEPackage(packageURI);
//	tdFactory  = (TypeDescriptorFactory)tdPackage.getEFactoryInstance();
//	
	thisImporter = this;
}
///**
// * Create a Dynamic Record Type from a CobolRecord tree.
// * Creation date: (3/31/99 6:10:51 PM)
// * @param current com.ibm.ivj.eab.record.importer.gentype.cobol.CobolGroupRecord
// * @param inOT boolean - true if called after the Overlay Type has been created
// *                       (Ignore the fact that it is redefined and create the fields
// *                        in the Overlay Type.)
// */
//private CobolDynamicRecordType createDRT(CobolGroupRecord current, boolean inOT) throws CobolException
//{
//	CobolDynamicRecordType DRT = new CobolDynamicRecordType();
//	VariableSizeArrayDimensionField dim;
//	com.ibm.record.Field fld;
//	ArrayField afld;
//	NestedRecordField nrfld;
//	CobolType ct;
//	CobolArrayType at;
//	int [] arraySize = null;
//	boolean fail = false;
//	
//	// Add a field to the DRT for each child except items in an overlay class
//	for (int i =0; i < current.list().size(); i++)
//	{
//		CobolRecord child = current.element(i);
//		try {
//		if ((child.redefinedItem_ == null && child.redefineTypes_.size()==0) || inOT)
//		{
//			if (child.cobolTypeString_ != null)
//			{
//				if (child.arrayBound_ == 1)
//				{
//					if (child.value_ != null || child.figConst_ != null)
//					{// has initial value or figurative constant
//						if (child.varLengthArrayNames_.size() == 0)
//						{
//							ct = new CobolType(child.cobolTypeString_);
//							ct.setLevel(child.level());
//							ct.setPreferredType(ct.getPreferredType(isBigDec));
//							fld = new com.ibm.record.Field (ct, child.name_, new CobolInitialValueObject(child.value_, child.figConst_));
//							for (int j=0; j<child.possibleValues_.size(); j++)
//							{
//								fld.putPossibleValue((String)child.keys_.elementAt(j), (Object[])child.possibleValues_.elementAt(j));
//							}
//							DRT.addField(fld);
//						}
//						else // Defines length of variable length array
//						{
//							ct = new CobolType (child.cobolTypeString_);
//							ct.setLevel(child.level());
//							ct.setPreferredType(ct.getPreferredType(isBigDec));
//							dim = new VariableSizeArrayDimensionField(ct, child.name_, new CobolInitialValueObject(child.value_, child.figConst_));
//							dim.setArrayFieldNames(child.removeCommareaName());
//							for (int j=0; j<child.possibleValues_.size(); j++)
//							{
//								dim.putPossibleValue((String)child.keys_.elementAt(j), (Object[])child.possibleValues_.elementAt(j));
//							}
//							DRT.addField(dim);
//						}
//					}
//					else  // no initial value
//					{
//						if (child.varLengthArrayNames_.size() == 0)
//						{
//							ct = new CobolType(child.cobolTypeString_);
//							ct.setLevel(child.level());
//							ct.setPreferredType(ct.getPreferredType(isBigDec));
//							fld = new com.ibm.record.Field (ct, child.name_);
//							for (int j=0; j<child.possibleValues_.size(); j++)
//							{
//								fld.putPossibleValue((String)child.keys_.elementAt(j), (Object[])child.possibleValues_.elementAt(j));
//							}
//							DRT.addField(fld);
//						}
//						else // Defines length of variable length array
//						{
//							ct = new CobolType(child.cobolTypeString_);
//							ct.setLevel(child.level());
//							ct.setPreferredType(ct.getPreferredType(isBigDec));
//							dim = new VariableSizeArrayDimensionField (ct, child.name_, child.removeCommareaName());
//							for (int j=0; j<child.possibleValues_.size(); j++)
//							{
//								dim.putPossibleValue((String)child.keys_.elementAt(j), (Object[])child.possibleValues_.elementAt(j));
//							}
//							DRT.addField(dim);
//						}
//					}
//				}
//				else // Array
//				{
//					arraySize = new int[1];
//					arraySize[0] = child.arrayBound_;
//					if (child.value_ != null || child.figConst_ != null)
//					{// has initial value or figurative constant
//						ct = new CobolType(child.cobolTypeString_);
//						ct.setLevel(child.level());
//						ct.setPreferredType(ct.getPreferredType(isBigDec));
//						at = new CobolArrayType(arraySize, ct);
//						at.setLevel(child.level());
//						afld = new ArrayField(at, child.name_, new CobolInitialValueObject(child.value_, child.figConst_));
//						for (int j=0; j<child.possibleValues_.size(); j++)
//							{
//								afld.putPossibleValue((String)child.keys_.elementAt(j), (Object[])child.possibleValues_.elementAt(j));
//							}
//						DRT.addField(afld);
//					}
//					else
//					{
//						ct = new CobolType(child.cobolTypeString_);
//						ct.setLevel(child.level());
//						ct.setPreferredType(ct.getPreferredType(isBigDec));
//						at = new CobolArrayType(arraySize, ct);
//						at.setLevel(child.level());
//						afld = new ArrayField(at, child.name_);
//						for (int j=0; j<child.possibleValues_.size(); j++)
//							{
//								afld.putPossibleValue((String)child.keys_.elementAt(j), (Object[])child.possibleValues_.elementAt(j));
//							}
//						DRT.addField(afld);
//					}
//				}
//			}
//			else // Group item
//			{
//				CobolDynamicRecordType childDRT = createDRT((CobolGroupRecord) child, false);
//
//				if (child.arrayBound_ == 1)
//				{
//					childDRT.setLevel(child.level());
//					nrfld = new NestedRecordField(childDRT, child.name_);
//					for (int j=0; j<child.possibleValues_.size(); j++)
//						{
//							nrfld.putPossibleValue((String)child.keys_.elementAt(j), (Object[])child.possibleValues_.elementAt(j));
//						}
//					DRT.addField(nrfld);
//				}
//				else
//				{
//					arraySize = new int[1];
//					arraySize[0] = child.arrayBound_;
//					at = new CobolArrayType(arraySize, childDRT);
//					at.setLevel(child.level());
//					afld = new ArrayField (at, child.name_);
//					for (int j=0; j<child.possibleValues_.size(); j++)
//						{
//							afld.putPossibleValue((String)child.keys_.elementAt(j), (Object[])child.possibleValues_.elementAt(j));
//						}
//					DRT.addField(afld);
//				}
//			}
//		}
//		else // Redefined
//		{
//			if (child.redefineTypes_.size()>0)
//			{
//				CobolOverlayType OT = createOT((CobolRecord) child);
//				OT.setLevel(child.level());
//				DRT.addField(new OverlayField(OT, child.name_+"_"));
//			}
//		}
//		} catch (RecordException exc) {
//			if ( exc.getMessage().startsWith("IVJC0245E"))
//			{
//				Object[] obj = { child.name_ };
//				CobolResource.display(CobolResource.getString("_EXC_Field_contains_invalid_picture_string", obj));
//				fail = true;
//			}
//			else if ( exc instanceof RecordFieldNameAlreadyExistsException )
//			{
//				Object[] obj = { exc.getMessage() };
//				throw new CobolException(CobolResource.getString("_EXC_Record_names_must_be_unique", obj));
//			}
//			else
//				throw exc;
//		}
//	}
//	if ( fail )
//		throw new CobolException(CobolResource.getString("_EXC_Import_failed"));
//	else
//		return DRT;
//}
///**
// * Insert the method's description here.
// * Creation date: (3/31/99 6:10:51 PM)
// * @param current com.ibm.ivj.eab.record.importer.gentype.cobol.CobolGroupRecord
// */
//private CobolOverlayType createOT(CobolRecord current) throws CobolException
//{
//	CobolOverlayType OT = new CobolOverlayType();
//	int [] arraySize = null;
//	CobolType ct;
//	CobolArrayType at;
//	com.ibm.record.Field fld;
//	ArrayField afld;
//	NestedRecordField nrfld;
//	
//	if (current.cobolTypeString_ != null)
//	{
//		if (current.arrayBound_ == 1)
//		{
//			if (current.value_ != null || current.figConst_ != null)
//			{// has initial value or figurative constant
//				ct = new CobolType(current.cobolTypeString_);
//				ct.setLevel(current.level());
//				ct.setPreferredType(ct.getPreferredType(isBigDec));
//				fld = new com.ibm.record.Field (ct, current.name_, new CobolInitialValueObject(current.value_, current.figConst_));
//				for (int j=0; j<current.possibleValues_.size(); j++)
//				{
//					fld.putPossibleValue((String)current.keys_.elementAt(j), (Object[])current.possibleValues_.elementAt(j));
//				}
//				OT.addField(fld);
//			}
//			else  // no initial value
//			{
//				ct = new CobolType(current.cobolTypeString_);
//				ct.setLevel(current.level());
//				ct.setPreferredType(ct.getPreferredType(isBigDec));
//				fld = new com.ibm.record.Field (ct, current.name_);
//				for (int j=0; j<current.possibleValues_.size(); j++)
//				{
//					fld.putPossibleValue((String)current.keys_.elementAt(j), (Object[])current.possibleValues_.elementAt(j));
//				}
//				OT.addField(fld);
//			}
//		}
//		else // Array
//		{
//			arraySize = new int[1];
//			arraySize[0] = current.arrayBound_;
//			if (current.value_ != null || current.figConst_ != null)
//			{// has initial value or figurative constant
//				ct = new CobolType(current.cobolTypeString_);
//				ct.setLevel(current.level());
//				ct.setPreferredType(ct.getPreferredType(isBigDec));
//				at = new CobolArrayType(arraySize, ct);
//				at.setLevel(current.level());
//				afld = new ArrayField(at, current.name_, new CobolInitialValueObject(current.value_, current.figConst_));
//				for (int j=0; j<current.possibleValues_.size(); j++)
//				{
//					afld.putPossibleValue((String)current.keys_.elementAt(j), (Object[])current.possibleValues_.elementAt(j));
//				}
//				OT.addField(afld);
//			}
//			else
//			{
//				ct = new CobolType(current.cobolTypeString_);
//				ct.setLevel(current.level());
//				ct.setPreferredType(ct.getPreferredType(isBigDec));
//				at = new CobolArrayType(arraySize, ct);
//				at.setLevel(current.level());
//				afld = new ArrayField(at, current.name_);
//				for (int j=0; j<current.possibleValues_.size(); j++)
//				{
//					afld.putPossibleValue((String)current.keys_.elementAt(j), (Object[])current.possibleValues_.elementAt(j));
//				}
//				OT.addField(afld);
//			}
//		}
//	}
//	else // Group item
//	{
//		CobolDynamicRecordType DRT = createDRT((CobolGroupRecord) current, false);
//
//		if (current.arrayBound_ == 1)
//		{
//			DRT.setLevel(current.level());
//			nrfld = new NestedRecordField(DRT, current.name_);
//			for (int j=0; j<current.possibleValues_.size(); j++)
//				{
//					nrfld.putPossibleValue((String)current.keys_.elementAt(j), (Object[])current.possibleValues_.elementAt(j));
//				}
//			OT.addField(nrfld);
//		}
//		else
//		{
//			arraySize = new int[1];
//			arraySize[0] = current.arrayBound_;
//			at = new CobolArrayType(arraySize, DRT);
//			at.setLevel(current.level());
//			afld = new ArrayField (at, current.name_);
//			for (int j=0; j<current.possibleValues_.size(); j++)
//				{
//					afld.putPossibleValue((String)current.keys_.elementAt(j), (Object[])current.possibleValues_.elementAt(j));
//				}
//			OT.addField(afld);
//		}
//	}
//	for (int i=0; i<current.redefineTypes_.size(); i++)
//	{
//		CobolRecord rec=(CobolRecord)current.redefineTypes_.elementAt(i);
//		if (rec.cobolTypeString_ != null)
//		{
//			if (rec.arrayBound_ == 1)
//			{
//				if (rec.value_ != null || rec.figConst_ != null)
//				{// has initial value or figurative constant
//					ct = new CobolType(rec.cobolTypeString_);
//					ct.setLevel(rec.level());
//					ct.setPreferredType(ct.getPreferredType(isBigDec));
//					fld = new com.ibm.record.Field (ct, rec.name_, new CobolInitialValueObject(rec.value_, rec.figConst_));
//					for (int j=0; j<rec.possibleValues_.size(); j++)
//					{
//						fld.putPossibleValue((String)rec.keys_.elementAt(j), (Object[])rec.possibleValues_.elementAt(j));
//					}
//					OT.addField(fld);
//				}
//				else  // no initial value
//				{
//					ct = new CobolType(rec.cobolTypeString_);
//					ct.setLevel(rec.level());
//					ct.setPreferredType(ct.getPreferredType(isBigDec));
//					fld = new com.ibm.record.Field (ct, rec.name_);
//					for (int j=0; j<rec.possibleValues_.size(); j++)
//					{
//						fld.putPossibleValue((String)rec.keys_.elementAt(j), (Object[])rec.possibleValues_.elementAt(j));
//					}
//					OT.addField(fld);
//				}
//			}
//			else // Array
//			{
//				arraySize = new int[1];
//				arraySize[0] = rec.arrayBound_;
//				if (rec.value_ != null || rec.figConst_ != null)
//				{// has initial value or figurative constant
//					ct = new CobolType(rec.cobolTypeString_);
//					ct.setLevel(rec.level());
//					ct.setPreferredType(ct.getPreferredType(isBigDec));
//					at = new CobolArrayType(arraySize, ct);
//					at.setLevel(rec.level());
//					afld = new ArrayField(at, rec.name_, new CobolInitialValueObject(rec.value_, rec.figConst_));
//					for (int j=0; j<rec.possibleValues_.size(); j++)
//					{
//						afld.putPossibleValue((String)rec.keys_.elementAt(j), (Object[])rec.possibleValues_.elementAt(j));
//					}
//					OT.addField(afld);
//				}
//				else
//				{
//					ct = new CobolType(rec.cobolTypeString_);
//					ct.setLevel(rec.level());
//					ct.setPreferredType(ct.getPreferredType(isBigDec));
//					at = new CobolArrayType(arraySize, ct);
//					at.setLevel(rec.level());
//					afld = new ArrayField(at, rec.name_);
//					for (int j=0; j<rec.possibleValues_.size(); j++)
//					{
//						afld.putPossibleValue((String)rec.keys_.elementAt(j), (Object[])rec.possibleValues_.elementAt(j));
//					}
//					OT.addField(afld);
//				}
//			}
//		}
//		else // Group item
//		{
//			CobolDynamicRecordType DRT = createDRT((CobolGroupRecord)rec, false);
//
//			if (rec.arrayBound_ == 1)
//			{
//				DRT.setLevel(rec.level());
//				nrfld = new NestedRecordField(DRT, rec.name_);
//				for (int j=0; j<rec.possibleValues_.size(); j++)
//				{
//					nrfld.putPossibleValue((String)rec.keys_.elementAt(j), (Object[])rec.possibleValues_.elementAt(j));
//				}
//				OT.addField(nrfld);
//			}
//			else
//			{
//				arraySize = new int[1];
//				arraySize[0] = rec.arrayBound_;
//				at = new CobolArrayType(arraySize, DRT);
//				at.setLevel(rec.level());
//				afld = new ArrayField (at, rec.name_);
//				for (int j=0; j<rec.possibleValues_.size(); j++)
//				{
//					afld.putPossibleValue((String)rec.keys_.elementAt(j), (Object[])rec.possibleValues_.elementAt(j));
//				}
//				OT.addField(afld);
//			}
//		}
//	}			
//	return OT;
//}
///**
// * Insert the method's description here.
// * Creation date: (7/6/2001 11:34:45 AM)
// * @param fieldName java.lang.String
// */
//private void generateCobolTypeEntries(CobolType cobolType) {
//
//String type = null;
//	
//	/*
//	 * Get the COBOL type in order to get the COBOL attributes
//	 */	
//	String sPicString      = CobolTypeUtilities.expandPic(cobolType.getPic());
//	String sAugString      = cobolType.getAug();
//	COBOLUsageValues nUsage             = COBOLUsageValues.DISPLAY_LITERAL;
//	boolean bSynchronized  = false;
//	SignFormatValue signFormat         = SignFormatValue.TRAILING_LITERAL;
//	boolean signed		   = false;
//
//	/*
//	 * Determine the appropriate usage value
//	 */
//	if(sAugString.indexOf("COMP1") != -1) {
//		nUsage = COBOLUsageValues.FLOAT_LITERAL;
//	}
//	else if(sAugString.indexOf("COMP2") != -1) {
//		nUsage = COBOLUsageValues.DOUBLE_LITERAL;
//	}
//	else if(sAugString.indexOf("COMP3") != -1) {
//		nUsage = COBOLUsageValues.PACKED_DECIMAL_LITERAL;
//	}
//	else if(sAugString.indexOf("COMP4") != -1) {
//		nUsage = COBOLUsageValues.BINARY_LITERAL;
//	}
//	else if(sAugString.indexOf("COMP5") != -1) {
//		nUsage = COBOLUsageValues.BINARY_LITERAL;
//	}
//	else if(sAugString.indexOf("COMP") != -1) {
//		nUsage = COBOLUsageValues.BINARY_LITERAL;
//	}
//	else if(sAugString.indexOf("BINARY") != -1) {
//		nUsage = COBOLUsageValues.BINARY_LITERAL;
//	}
//	else if(sAugString.indexOf("INDEX") != -1) {
//		nUsage = COBOLUsageValues.INDEX_LITERAL;
//	}
//	else if(sAugString.indexOf("POINTER") != -1) {
//		nUsage = COBOLUsageValues.POINTER_LITERAL;
//	}
//	else if(sAugString.indexOf("DISPLAY1") != -1) {
//		nUsage = COBOLUsageValues.DISPLAY_LITERAL;
//	}
//	else if(sAugString.indexOf("DISPLAY") != -1) {
//		nUsage = COBOLUsageValues.DISPLAY_LITERAL;
//	}
//	else if(sAugString.indexOf("NATIONAL") != -1) {
//		nUsage = COBOLUsageValues.NATIONAL_LITERAL;
//	}
//	else {
//		nUsage = COBOLUsageValues.DISPLAY_LITERAL;
//	}
//
//	/*
//	 * Determine whether the type is
//	 * Alphabetic, AlphaNumeric, Numeric,
//	 * AlphNumericEdited, NumericEdited,
//	 * DBCS, InternalFloatingPoint
//	 */
//	if(CobolTypeUtilities.isNumeric(sPicString) == true) {
//		/*
//		 * Identify internal floating types
//		 */
//		if((sAugString.indexOf("COMP1") != -1) ||
//			(sAugString.indexOf("COMP2") != -1)) {
//			simpleType = cobolFactory.createCOBOLInternalFloatType();
//
//			/*
//			 * Create the Type Descriptor
//			 */
//			baseTD = tdFactory.createFloatTD();
//			
//			/*
//			 * Get the float type from PlatformCompilerInfo
//			 *
//			((FloatTD)baseTD).setFloatType(MetaFloatValue.IEEEXTENDEDINTEL);
//			 */
//			
//			baseTD.setAddrUnit(AddrUnitValue.BYTE_LITERAL);
//			baseTD.setWidth(CobolTypeUtilities.getNumericFieldWidth(sPicString, sAugString, nUsage.getValue()));
//			baseTD.setAlignment(AlignType.BYTE_LITERAL);
//		} /* END of if internal float type */
//		/*
//		 * Plain numeric type
//		 */
//		else {
//			simpleType = cobolFactory.createCOBOLNumericType();
//
//			boolean bSigned       = false;
//			boolean bSignLeading  = false;
//			boolean bSignSeparate = false;
//				
//			if(cobolType.getPic().indexOf("S") != -1) {
//				signed     = true;
//				bSigned    = true;
//				signFormat = SignFormatValue.TRAILING_LITERAL;
//			}
//			if(sAugString.indexOf("LEADING") != -1) {
//				bSignLeading = true;
//				signFormat   = SignFormatValue.LEADING_LITERAL;
//			}
//			if(sAugString.indexOf("SEPARATE") != -1) {
//				bSignSeparate = true;
//            if (bSignLeading)
//   				signFormat    = SignFormatValue.LEADING_SEPARATE_LITERAL;
//            else
//   				signFormat    = SignFormatValue.TRAILING_SEPARATE_LITERAL;
//			}
//
//			/*
//			 * Set the generic Numeric type attributes
//			 */	
//			((COBOLNumericType)simpleType).setSigned(new Boolean(bSigned));
//			((COBOLNumericType)simpleType).setSignLeading(new Boolean(bSignLeading));
//			((COBOLNumericType)simpleType).setSignSeparate(new Boolean(bSignSeparate));
//			
//			/*
//			 * Get the preference page attributes
//			 */
//			((COBOLNumericType)simpleType).setNumproc((String)cobolOptions.get(ICobolPreferenceConstants.PRE_COBOL_NUMPROC));
//			
//			/*
//			 * If the field has a usage of COMP-5,
//			 * treat it as a TRUNC(BIN)
//			 */
//			if(sAugString.indexOf("COMP5") != -1) { 	 //*19778*
//				((COBOLNumericType)simpleType).setTrunc("BIN");
//			}
//			else {
//				((COBOLNumericType)simpleType).setTrunc((String)cobolOptions.get(ICobolPreferenceConstants.PRE_COBOL_TRUNC));
//			}
//			
// 			/*
// 			 * Create the Type Descriptor
// 			 */
//		 	if (nUsage.getValue() == COBOLUsageValues.PACKED_DECIMAL)
//			 {
//				 baseTD = tdFactory.createPackedDecimalTD();
//
//				((NumberTD)baseTD).setBase(10);
//				((NumberTD)baseTD).setBaseWidth(4);
//				((NumberTD)baseTD).setBaseInAddr(8);
//				((NumberTD)baseTD).setBaseUnits(8);
//
//				baseTD.setAddrUnit(AddrUnitValue.BYTE_LITERAL);
//				baseTD.setWidth(CobolTypeUtilities.getNumericFieldWidth(sPicString, sAugString, nUsage.getValue()));
//				baseTD.setAlignment(AlignType.BYTE_LITERAL);
//			 }
//			 else if (nUsage.getValue() == COBOLUsageValues.DISPLAY)
//			 {
//				 baseTD = tdFactory.createExternalDecimalTD();
//				 ((ExternalDecimalTD)baseTD).setSignFormat(signFormat);
//				/*
//				 * Get the external decimal sign from PlatformCompilerInfo
//				 *
//				 ((ExternalDecimalTD)baseTD).setExternalDecimalSign(MetaExternalDecimalSignValue.NT_OS2_AIX);
//				 */
//				
//				((NumberTD)baseTD).setBase(10);
//				((NumberTD)baseTD).setBaseWidth(8);
//				((NumberTD)baseTD).setBaseInAddr(4);
//				((NumberTD)baseTD).setBaseUnits(4);
//
//				baseTD.setAddrUnit(AddrUnitValue.BYTE_LITERAL);
//				baseTD.setWidth(CobolTypeUtilities.getNumericFieldWidth(sPicString, sAugString, nUsage.getValue()));
//				baseTD.setAlignment(AlignType.BYTE_LITERAL);
//			 }
//			 else
//			 {
//				 baseTD = tdFactory.createIntegerTD();
//				 ((IntegerTD)baseTD).setSignCoding(SignCodingValue.TWOS_COMPLEMENT_LITERAL);
//
//	 			((NumberTD)baseTD).setBase(10);
//				((NumberTD)baseTD).setBaseWidth(8);
//				((NumberTD)baseTD).setBaseInAddr(4);
//				((NumberTD)baseTD).setBaseUnits(4);
//
//				baseTD.setAddrUnit(AddrUnitValue.BYTE_LITERAL);
//				baseTD.setWidth(CobolTypeUtilities.getNumericFieldWidth(sPicString, sAugString, nUsage.getValue()));
//				baseTD.setAlignment(AlignType.BYTE_LITERAL);
//				
//				/*
//				 * If the number has fewer than 10 9's,
//				 * set the endian according to the remote integer endian
//				 */
//				if(CobolTypeUtilities.getNumberOfNines(sPicString) < 10) {
//					if(cobolOptions.get(ICobolPreferenceConstants.PRE_COBOL_REMOTE_ENDIAN).equals("Big")) {
//						((NumberTD)baseTD).setBigEndian(Boolean.TRUE);
//					}
//					else {
//						((NumberTD)baseTD).setBigEndian(Boolean.FALSE);
//					}
//				}
//			 }
//
//			/*
//			 * Set the common NumberTD attributes
//			 */
//			((NumberTD)baseTD).setSigned(new Boolean(signed));
//			((NumberTD)baseTD).setVirtualDecimalPoint(CobolTypeUtilities.getVirtualDecimalPointLocation(sPicString));
//		} /* END of if numeric */
//
//		 /*
//		  * Set the common BaseTDType attributes
//		  */
////		baseTD.setNickname("NT_number");
//		/*
//		 * Get the endian from PlatformCompilerInfo
//		 *
//		baseTD.setBigEndian(true);
//		 */
//	}
//	else if(CobolTypeUtilities.isAlphabetic(sPicString) == true) {
//		simpleType = cobolFactory.createCOBOLAlphabeticType();
//
//		/*
//		 * Determine whether the field is justified
//		 */
//		boolean bJustifyRight  = false;
//
//		if(1 == 0) {
//			bJustifyRight = true;
//		}
//		else {
//			bJustifyRight = false;
//		}
//
//		((COBOLAlphabeticType)simpleType).setJustifyRight(new Boolean(bJustifyRight));
//
//		/*
//		 * Create the Type Descriptor
//		 */
//		baseTD = tdFactory.createStringTD();
//		((StringTD)baseTD).setAddrUnit(AddrUnitValue.BYTE_LITERAL);
//		((StringTD)baseTD).setWidth(sPicString.length());
//		((StringTD)baseTD).setAlignment(AlignType.BYTE_LITERAL);
////		((StringTD)baseTD).setNickname("NT_string");
//
//		/*
//		 * Get the codepage from PlatformCompilerInfo
//		 *
//		((StringTD)baseTD).setCodepage("8859_1");
//		 */
//		((StringTD)baseTD).setLengthEncoding(LengthEncodingValue.FIXED_LENGTH_LITERAL);
//		((StringTD)baseTD).setPrefixLength(0);
//		((StringTD)baseTD).setStringJustification(StringJustificationKind.LEFT_JUSTIFY_LITERAL);
//		((StringTD)baseTD).setPaddingCharacter(" ");
//		((StringTD)baseTD).setCharacterSize(1);
//	}
//	else if(CobolTypeUtilities.isAlphaNumeric(sPicString) == true) {
//		simpleType = cobolFactory.createCOBOLAlphaNumericType();
//
//		/*
//		 * Determine whether the field is justified
//		 */
//		boolean bJustifyRight  = false;
//
//		if(1 == 0) {
//			bJustifyRight = true;
//		}
//		else {
//			bJustifyRight = false;
//		}
//
//		((COBOLAlphaNumericType)simpleType).setJustifyRight(new Boolean(bJustifyRight));
//
//		/*
//		 * Create the Type Descriptor
//		 */
//		baseTD = tdFactory.createStringTD();
//		((StringTD)baseTD).setAddrUnit(AddrUnitValue.WORD_LITERAL);
//		((StringTD)baseTD).setWidth(sPicString.length());
//		((StringTD)baseTD).setAlignment(AlignType.BYTE_LITERAL);
////		((StringTD)baseTD).setNickname("NT_string");
//
//		/*
//		 * Get the codepage from PlatformCompilerInfo
//		 *
//		((StringTD)baseTD).setCodepage("8859_1");
//		 */
//		((StringTD)baseTD).setLengthEncoding(LengthEncodingValue.FIXED_LENGTH_LITERAL);
//		((StringTD)baseTD).setPrefixLength(0);
//		((StringTD)baseTD).setStringJustification(StringJustificationKind.LEFT_JUSTIFY_LITERAL);
//		((StringTD)baseTD).setPaddingCharacter(" ");
//		((StringTD)baseTD).setCharacterSize(1);
//	}
//	else if(CobolTypeUtilities.isNumericEdited(sPicString) == true) {
//		simpleType = cobolFactory.createCOBOLNumericEditedType();
//
//		boolean bBlankWhenZero = false;
//
//		/*
//		 * Determine whether the field is blank when zero
//		 */
//		if(1 == 0) {
//			bBlankWhenZero = true;
//		}
//		else {
//			bBlankWhenZero = false;
//		}
//
//		((COBOLNumericEditedType)simpleType).setBlankWhenZero(new Boolean(bBlankWhenZero));
//
//		/*
//		 * Create the Type Descriptor
//		 */
//		baseTD = tdFactory.createStringTD();
//		
//		((StringTD)baseTD).setAddrUnit(AddrUnitValue.BYTE_LITERAL);
//		((StringTD)baseTD).setWidth(sPicString.length());
//		((StringTD)baseTD).setAlignment(AlignType.BYTE_LITERAL);
////		((StringTD)baseTD).setNickname("NT_string");
//
//		/*
//		 * Get the codepage from PlatformCompilerInfo
//		 *
//		((StringTD)baseTD).setCodepage("8859_1");
//		 */
//		((StringTD)baseTD).setLengthEncoding(LengthEncodingValue.FIXED_LENGTH_LITERAL);
//		((StringTD)baseTD).setPrefixLength(0);
//		((StringTD)baseTD).setStringJustification(StringJustificationKind.LEFT_JUSTIFY_LITERAL);
//		((StringTD)baseTD).setPaddingCharacter(" ");
//		((StringTD)baseTD).setCharacterSize(1);
//	}
//	else if(CobolTypeUtilities.isAlphaNumericEdited(sPicString) == true) {
//		simpleType = cobolFactory.createCOBOLAlphaNumericEditedType();
//
//		/*
//		 * Create the Type Descriptor
//		 */
//		baseTD = tdFactory.createStringTD();
//		((StringTD)baseTD).setAddrUnit(AddrUnitValue.WORD_LITERAL);
//		((StringTD)baseTD).setWidth(sPicString.length());
//		((StringTD)baseTD).setAlignment(AlignType.BYTE_LITERAL);
////		((StringTD)baseTD).setNickname("NT_string");
//
//		/*
//		 * Get the codepage from PlatformCompilerInfo
//		 *
//		((StringTD)baseTD).setCodepage("8859_1");
//		 */
//		((StringTD)baseTD).setLengthEncoding(LengthEncodingValue.FIXED_LENGTH_LITERAL);
//		((StringTD)baseTD).setPrefixLength(0);
//		((StringTD)baseTD).setStringJustification(StringJustificationKind.LEFT_JUSTIFY_LITERAL);
//		((StringTD)baseTD).setPaddingCharacter(" ");
//		((StringTD)baseTD).setCharacterSize(1);
//	}
//	else if(CobolTypeUtilities.isDBCS(sPicString) == true) {
//		/*
//		 * Distinguish between DBCS and Unicode
//		 * Where the PIC is 'N', the field is Unicode if
//		 * either the USAGE is NATIONAL or their is no USAGE
//		 * and the NSYMBOL compiler option is set to "NATIONAL"
//		 * Note that the parser sets the Augmentor to "DISPLAY" if
//		 * none is specified.  "DISPLAY1" would make the field DBCS
//		 * instead of Unicode
//		 */
//		if(CobolTypeUtilities.contains(sPicString, 'N') &&
//			((sAugString.indexOf("NATIONAL") != -1) ||
//				(sAugString.equals("DISPLAY") &&
//				((String)cobolOptions.get(ICobolPreferenceConstants.PRE_COBOL_NSYMBOL)).equals("NATIONAL")))) {
//			simpleType = cobolFactory.createCOBOLUnicodeType();
//		}
//		else {
//			simpleType = cobolFactory.createCOBOLDBCSType();
//		}
//
//		/*
//		 * Create the Type Descriptor
//		 */
//		baseTD = tdFactory.createStringTD();
//		((StringTD)baseTD).setAddrUnit(AddrUnitValue.WORD_LITERAL);
//		((StringTD)baseTD).setWidth(sPicString.length());
//		((StringTD)baseTD).setAlignment(AlignType.BYTE_LITERAL);
////		((StringTD)baseTD).setNickname("NT_string");
//
//		/*
//		 * Get the codepage from PlatformCompilerInfo
//		 *
//		((StringTD)baseTD).setCodepage("8859_1");
//		 */
//		((StringTD)baseTD).setLengthEncoding(LengthEncodingValue.FIXED_LENGTH_LITERAL);
//		((StringTD)baseTD).setPrefixLength(0);
//		((StringTD)baseTD).setStringJustification(StringJustificationKind.LEFT_JUSTIFY_LITERAL);
//		((StringTD)baseTD).setPaddingCharacter(" ");
//		((StringTD)baseTD).setCharacterSize(2);
//		
//		/*
//		 * Indicate in the Type Descriptor
//		 * whether this field is DBCS or Unicode
//		 */
//		if(simpleType instanceof COBOLDBCSType) {
//			((StringTD)baseTD).setDBCSOnly(Boolean.TRUE);
//		}
//		else {
//			((StringTD)baseTD).setDBCSOnly(Boolean.FALSE);
//			((StringTD)baseTD).setCodepage("UTF-16BE");
//		}
//	}
//	else if(CobolTypeUtilities.isExternalFloatingPoint(sPicString) == true) {
//		simpleType = cobolFactory.createCOBOLExternalFloatType();
//
//		/*
//		 * Create the Type Descriptor
//		 */
//		baseTD = tdFactory.createStringTD();
//		((StringTD)baseTD).setAddrUnit(AddrUnitValue.WORD_LITERAL);
//		((StringTD)baseTD).setWidth(sPicString.length());
//		((StringTD)baseTD).setAlignment(AlignType.BYTE_LITERAL);
////		((StringTD)baseTD).setNickname("NT_string");
//		/*
//		 * Get the endian from PlatformCompilerInfo
//		 *
//		((StringTD)baseTD).setBigEndian(true);
//		 */
//		
//		/*
//		 * Get the codepage from PlatformCompilerInfo
//		 *
//		((StringTD)baseTD).setCodepage("8859_1");
//		 */
//		((StringTD)baseTD).setLengthEncoding(LengthEncodingValue.FIXED_LENGTH_LITERAL);
//		((StringTD)baseTD).setPrefixLength(0);
//		((StringTD)baseTD).setStringJustification(StringJustificationKind.LEFT_JUSTIFY_LITERAL);
//		((StringTD)baseTD).setPaddingCharacter(" ");
//		((StringTD)baseTD).setCharacterSize(1);
//	}
//
//	/*
//	 * Determine whether the field is synchronized
//	 */
//	if(sAugString.indexOf("ALIGN") != -1) {
//		bSynchronized = true;
//	}
//	else {
//		bSynchronized = false;
//	}
//
//	/*
//	 * Set the type attributes
//	 */
//	simpleType.setUsage(nUsage);
//	simpleType.setPictureString(sPicString);
//	simpleType.setSynchronized(new Boolean(bSynchronized));
//
//	return;
//}
//	/**
// * This method was created by a SmartGuide.
// */
//private void generateDRT(String[] aCommareaList, String aFileName, boolean aIsCics) throws Exception
//{
//		Vector commareaList = new Vector();
//		boolean isDfhcommarea = false;
//		for (int i=0; i<aCommareaList.length; i++)
//		{
//			commareaList.addElement(aCommareaList[i]);
//			if ( aCommareaList[i].equalsIgnoreCase("DFHCOMMAREA") )
//				isDfhcommarea = true;
//		}
//		if ( aIsCics && !isDfhcommarea )
//			commareaList.addElement("DFHCOMMAREA");
//			
//		int size = commareaList.size();
//		Vector list = new Vector();
//		CobolOverlayType OT = null;
//		if (size > 1)
//		{
//			mainDRT = new CobolDynamicRecordType();
//			OT = new CobolOverlayType();
//		}
//		// this loop imports commareas one at a time
//		for (int i=0; i<size; i++)
//		{
//			CobolCommareaGenerator commGen = new CobolCommareaGenerator(aFileName);
//			String commareaName = commGen.generateToString(commareaList.elementAt(i).toString(), size);
//			commareaName = CobolParser.hyphenToUnderscore(commareaName);
//			StringReader sr = new StringReader(commGen.toString());
//			
//			// commarea is parsed, creating a tree structure showing the
//			// hierarchical relationship between group and elementary items
//			CobolGroupRecord commarea = new CobolGroupRecord(null, "DFHCOMMAREA", 0);
//
//		 	StreamTokenizer st = new StreamTokenizer(sr);
//	 		// The uri which comes in is in the form of file:D:/someDir/someFile.ccp
//			// This needs to be converted to a proper file name
//			URIConverter converter = URIConverterRegister.getURIConverter();
//			java.net.URL ipURL = converter.makeURL(fileName);
//			if (ipURL.getProtocol().equals("platform")) 
//				ipURL = Platform.resolve(ipURL);
//			aFileName = ipURL.getFile();
//
//	 		CobolParser parser = new CobolParser(commarea, st, aFileName);
//			int rc = parser.yyparse();
//
//			if ( rc != 0 || parser.getFlag() ) {
//				List errorList = parser.getErrorList();
//				if (errorList.size() > 0) {
//					throw new CobolException((String)errorList.get(0));
//				}
//				throw new CobolException(CobolResource.getString("_EXC_Import_failed"));
//			}
//
//			Vector v = commarea.element(0).list();
//			Vector nonRedefineList = new Vector();
//			Vector nonDependingList = new Vector();
//			Vector qualifiedName = new Vector();
//			qualifiedName.addElement(commareaName);
//			Vector names = new Vector();
//			int nameGen=0;
//			// Find and change any duplicate names
//			for (int k=0;k<v.size();k++)
//			{
//				CobolRecord rec = (CobolRecord) v.elementAt(k);
//				String recName = rec.name().toLowerCase();
//				if (names.contains(recName))
//				{
//					rec.name_ = recName+"_"+nameGen;
//					nameGen++;
//					Object[] obj = {commareaName, recName, rec.name() };
//					CobolResource.display(CobolResource.getString("_EXC_Two_records_have_same_name", obj));
//
//				}else{
//					names.addElement(rec.name().toLowerCase());
//				}
//			}
//			
//			for (int j=0; j<v.size(); j++)
//			{
//				if (v.elementAt(j) instanceof CobolGroupRecord)
//				{
//					CobolGroupRecord type = (CobolGroupRecord)v.elementAt(j);
//					type.walkTree(nonRedefineList, nonDependingList, qualifiedName, false);
//				}	
//				else if (v.elementAt(j) instanceof CobolElementaryRecord)
//				{
//					CobolElementaryRecord type = (CobolElementaryRecord)v.elementAt(j);
//					type.walkTree(nonRedefineList, nonDependingList, qualifiedName, false);
//				}
//			}
//				CobolDynamicRecordType DRT = null;
//				if (size > 1)
//				{
//					//more then 1 commarea
//					DRT = createDRT((CobolGroupRecord) commarea.element(0), false);
//					OT.addField(new NestedRecordField(DRT, commareaName));
//				}
//				else
//				{
//					mainDRT = createDRT((CobolGroupRecord) commarea.element(0), false);
//				}
//		}
//		if (size > 1)
//		{
////			mainDRT.addField(new OverlayField (OT, commareaName + "_"));
//		}
//}
//
///**
// * Creates a COBOLComposedType and the associated AggregateInstanceTD
// * @param parentRecordName String
// * @param parentDRT AnyFixedLengthRecordType
// */
//private COBOLComposedType createComposedType(String parentRecordName, AnyFixedLengthRecordType parentDRT)
//	 throws Exception
//{
//	COBOLComposedType parentComposed;
//	AggregateInstanceTD parentAggregateTD;
//	
//	/*
//	 * Start the type with a COBOL element,
//	 * and then associate the composed type with it
//	 */
//	COBOLElement parentElement = cobolFactory.createCOBOLElement();
//	parentElement.setName(parentRecordName);
//	parentElement.setLevel("01");
//	objectList.add(parentElement);
//
//	parentComposed = cobolFactory.createCOBOLComposedType();
//	parentElement.setSharedType(parentComposed);
//	
//	objectList.add(parentComposed);
//
//	/*
//	 * Create the PlatformCompilerType
//	 */
//	compilerType = tdFactory.createPlatformCompilerInfo();
//	compilerType.setLanguage("COBOL");
//	compilerType.setDefaultAddressSize(AddressMode.MODE32_LITERAL);
//
//	String codepage = (String)cobolOptions.get(ICobolPreferenceConstants.PRE_COBOL_CODEPAGE);
//	CobolTypeUtilities.validateCodepage(codepage);
//	compilerType.setDefaultCodepage(codepage);
//
//	if(((String)cobolOptions.get(ICobolPreferenceConstants.PRE_COBOL_ENDIAN)).equals("Big")) {
//		compilerType.setDefaultBigEndian(Boolean.TRUE);
//	}
//	else {
//		compilerType.setDefaultBigEndian(Boolean.FALSE);
//	}
//
//	int fpIndex = ((Integer)cobolOptions.get(ICobolPreferenceConstants.PRE_COBOL_FLOATING_POINT_FORMAT)).intValue();
//	compilerType.setDefaultFloatType(FPF_ITEM[fpIndex]);
//	
//	if(((String)cobolOptions.get(ICobolPreferenceConstants.PRE_COBOL_EXT_DECIMAL_SIGN)).equals("ASCII")) {
//		compilerType.setDefaultExternalDecimalSign(ExternalDecimalSignValue.ASCII_LITERAL);
//	}
//	else if(((String)cobolOptions.get(ICobolPreferenceConstants.PRE_COBOL_EXT_DECIMAL_SIGN)).equals("EBCDIC")) {
//		compilerType.setDefaultExternalDecimalSign(ExternalDecimalSignValue.EBCDIC_LITERAL);
//	}
//	else {
//		compilerType.setDefaultExternalDecimalSign(ExternalDecimalSignValue.EBCDIC_CUSTOM_LITERAL);
//	}
//	
//	objectList.add(compilerType);
//				 
//	/*
//	 * Create the associated TypeDescriptor
//	 */
//	parentAggregateTD = tdFactory.createAggregateInstanceTD();
//	parentAggregateTD.setOffset("0");
//	parentAggregateTD.setAccessor(AccessorValue.READ_WRITE_LITERAL);
//	parentAggregateTD.setAttributeInBit(Boolean.FALSE);
//	parentAggregateTD.setLanguageInstance(parentElement);
//	parentAggregateTD.setPlatformInfo(compilerType);
//	objectList.add(parentAggregateTD);
//
//	/*
//	 * The size of the 01 level is the maximum size,
//	 * not the variable size as it is for the content size
//	 */
//	parentAggregateTD.setSize(Integer.toString(parentDRT.getSize()));
//			
//	/*
//	 * Set the maximum alignment factor
//	 * in case there is a synchronized field
//	 */
//	parentMaxAlignmentFactor = 1;
//	
//	return parentComposed;
//}
//
///**
// * Creates variable array information for the given field.
// * @param parentComposed COBOLComposedType
// * @param drtField IAnyField
// * @param childElement COBOLElement
// * @param positionCounter int
// */
//private void processVariableSizeArrayDimension(COBOLComposedType parentComposed, IAnyField drtField, COBOLElement childElement, int positionCounter)
//{
//	/*
//	 * Since the variable size array name is relative to
//	 * the top level, first get the root location
//	 * by taking the parent ref ID (e.g., "Type:DFHCOMMAREA/ohFive")
//	 * and stopping at the first "/"
//	 */
//	String id = null; 
//	org.eclipse.emf.ecore.resource.Resource res = parentComposed.eResource();
//	if (res instanceof org.eclipse.emf.ecore.xmi.XMIResource)
//		id = ((org.eclipse.emf.ecore.xmi.XMIResource)res).getID(parentComposed);
//	int topNameEndIndex = id.indexOf("/");
//	String parentName = id;
//	if(topNameEndIndex != -1) {
//		parentName = parentName.substring(0, topNameEndIndex);
//	}
//
//	/*
//	 * Add the variable size array names to the vector
//	 * and add this element to the associated element vector
//	 */
//	VariableSizeArrayDimensionField dimensionField = (VariableSizeArrayDimensionField)drtField;
//	Vector dimensionArrayFieldNames = dimensionField.getArrayFieldNames();
//	
//	for(int j=0; j < dimensionArrayFieldNames.size(); j++) {
//		String[] arrayFieldNames = (String[])dimensionArrayFieldNames.elementAt(j);
//		String arrayName = parentName + "/";
//	
//		for(int k=0; k < arrayFieldNames.length; k++) {
//			/*
//			 * The array field name will be "0"
//			 * if the ODO is nested
//			 * Ignore the "0" for purposes of creating
//			 * the full name for the array
//			 */
//			if(!arrayFieldNames[k].equals("0")) {
//				arrayName += arrayFieldNames[k];
//		
//				/*
//				 * Separate the levels with a '/'
//				 */
//				if((k + 1) < arrayFieldNames.length) {
//					arrayName += "/";
//				}
//			}
//		} /* END of array field names */
//
//		/*
//		 * Create the val expression based on this field's
//		 * position relative to each sub-level
//		 */
//		String arrayPosition = CobolTypeUtilities.createODOValExpression(odoCurrentPosition, positionCounter);
//							 
//		/*
//		 * Add the array name to the vector
//		 * and associate the element
//		 */
//		odoArrayNames.add(arrayName);
//		odoElements.add(childElement);
//		odoPositions.add(arrayPosition);					
//	} /* END of for dimension field name arrays */
//}
//
///**
// * Creates a COBOLElementInitialValue object and associates with the COBOLElement
// * @param childElement COBOLElement
// * @param drtField IAnyField
// */
//private void processInitialValue(COBOLElement childElement, IAnyField drtField) {
//	/*
//	 * Create the initial value object and set its name
//	 */		
//	COBOLElementInitialValue initialValue = cobolFactory.createCOBOLElementInitialValue();
//	initialValue.setName(drtField.getName());
//
//	/*
//	 * Specify the initial value kind
//	 */
//	CobolInitialValueObject cobolInitialValue = (CobolInitialValueObject)drtField.getInitialValue();
//	if(cobolInitialValue.figurativeValue_ != null) {
//		/*
//		 * Check if the figurative value is a double quote
//		 * If it is, set the initial value based on the value
//		 * of the QUOTE compile option ("SINGLE" or "DOUBLE")
//		 */
//		if(cobolInitialValue.figurativeValue_.equals("0")) {
//			initialValue.setValueKind(COBOLInitialValueKind.ZERO_VALUE_LITERAL);
//		}						 
//		else if(!cobolInitialValue.figurativeValue_.equals("\\\"")) {
//			initialValue.setInitVal(cobolInitialValue.figurativeValue_);
//			initialValue.setValueKind(COBOLInitialValueKind.ALL_LITERAL_LITERAL);
//		}
//		else if(((String)cobolOptions.get(ICobolPreferenceConstants.PRE_COBOL_QUOTE)).equals("SINGLE")) {
//			initialValue.setInitVal("'");
//			initialValue.setValueKind(COBOLInitialValueKind.ALL_LITERAL_LITERAL);
//		}
//		else {
//			initialValue.setValueKind(COBOLInitialValueKind.QUOTES_LITERAL);
//		}
//	}
//	else if(cobolInitialValue.initialValue_.equals(" ")) {
//		initialValue.setValueKind(COBOLInitialValueKind.ALL_LITERAL_LITERAL);
//		initialValue.setInitVal(cobolInitialValue.initialValue_);
//	}
//	else {
//		initialValue.setValueKind(COBOLInitialValueKind.STRING_VALUE_LITERAL);
//		initialValue.setInitVal(cobolInitialValue.initialValue_);
//	}					
//						
//	childElement.getInitial().add(initialValue);									
//	objectList.add(initialValue);
//}
//
///**
// * Insert the method's description here.
// * Creation date: (2/18/00 9:10:33 AM)
// */
//private void generateRecordEntries (String parentRecordName, AnyFixedLengthRecordType parentDRT, COBOLComposedType parentComposed, String parentOffsetFormula, int parentOffsetNumber)
//	throws Exception
//{
//
//COBOLComposedType childComposed = null;
//COBOLElement childElement = null;	
//COBOLElement redefinedElement = null;
//
//AggregateInstanceTD aggregateTD = null;
//SimpleInstanceTD simpleTD = null;
//
//String relativeOffsetFormula = new String();
//int relativeOffsetNumber = 0;
//
//String preSyncOffset;
//int alignmentFactor;
//int packingBytes;
//
//	/*
//	 * Create a composed type for the record
//	 * If it has not been defined
//	 */
//	if(parentComposed == null) {
//		parentComposed = createComposedType(parentRecordName, parentDRT);
//	} /* END of if parentComposed is null */
//
//	/*
//	 * Set the alignment factor for this level
//	 */
//	childMaxAlignmentFactor = 1;
//
//	/*
//	 * Loop through the Dynamic Record Type, creating an entry for each field
//	 */
//	IFieldEnumeration cursor = parentDRT.fields();		
//	for (int i=0, positionCounter=1; cursor.hasMoreFields(); i++, positionCounter++)
//	{
//		IAnyField drtField = (IAnyField) cursor.nextField();
//
//		/*
//		 * Create an element
//		 * For OverlayTypes (Redefines), the second field
//		 * is created as a RedefiningElement
//		 */
//		if(!(parentDRT instanceof CobolOverlayType)) {
//			childElement = cobolFactory.createCOBOLElement();
//		}
//		else if(i == 0) {
//			childElement = cobolFactory.createCOBOLElement();
//			redefinedElement = childElement;
//		}
//		else {
//			COBOLRedefiningElement redefiningElement = cobolFactory.createCOBOLRedefiningElement();
//			redefiningElement.setRedefines(redefinedElement);
//			redefinedElement.setRedefined(Boolean.TRUE);	
//			childElement = (COBOLElement)redefiningElement;
//		}
//			
//		/*
//		 * Create the type by which the element is defined
//		 */	
//		if (drtField instanceof IField)
//		{
//			CobolType cobolType = (CobolType)drtField.getType();
//
//			/*
//			 * Create the simple type and assign the basic attributes
//			 */
//			generateCobolTypeEntries(cobolType);
//
//			/*
//			 * Determine if the field is an index
//			 */
//			if(drtField instanceof VariableSizeArrayDimensionField) {
//				processVariableSizeArrayDimension(parentComposed, drtField, childElement, positionCounter);
//			} /* END of if variable array dimension field */
//
//			/*
//			 * Set the initial value if present
//			 */
//			if(drtField.getInitialValue() != null) {
//				processInitialValue(childElement, drtField);
//			}
//			 	
//			/*
//			 * Determine if the field has level 88 values
//			 */
//			generateLevel88Entries(childElement, drtField);
//
//			/*
//			 * Add the simple type to the object list,
//			 * associate it with the element,
//			 * and associate the element with the composed type
//			 */
//			objectList.add(simpleType);
//
//			parentComposed.getElement().add(childElement);
//			childElement.setLevel(cobolType.getLevel());
//			childElement.setName(drtField.getName());
//			childElement.setRedefined(Boolean.FALSE);
//			childElement.setSharedType(simpleType);
//
//			/*
//			 * Increment the relative offset by any packing bytes that are required
//			 * if the field is synchronized
//			 */									 
//			alignmentFactor = CobolTypeUtilities.getAlignmentFactor(cobolType);
//			if((simpleType.getSynchronized().booleanValue() == true) && (alignmentFactor > 1)) {
//				preSyncOffset          = CobolTypeUtilities.createOffset(parentOffsetFormula, parentOffsetNumber, relativeOffsetFormula, relativeOffsetNumber);
//				relativeOffsetNumber   += CobolTypeUtilities.getPackingBytes(preSyncOffset, alignmentFactor);
//				childMaxAlignmentFactor = Math.max(childMaxAlignmentFactor, alignmentFactor);
//			}			 
//			 
//			/*
//			 * Create the associated TypeDescriptor
//			 */
//			simpleTD = tdFactory.createSimpleInstanceTD();
//			simpleTD.setOffset(CobolTypeUtilities.createOffset(parentOffsetFormula, parentOffsetNumber, relativeOffsetFormula, relativeOffsetNumber));
//			simpleTD.setContentSize(Integer.toString(drtField.getSize()));
//			simpleTD.setSize(Integer.toString(drtField.getSize()));
//			simpleTD.setAccessor(AccessorValue.READ_WRITE_LITERAL);
//			simpleTD.setAttributeInBit(Boolean.FALSE);
//			simpleTD.setLanguageInstance(childElement);
//			simpleTD.setPlatformInfo(compilerType);
//			simpleTD.setSharedType(baseTD);
//
//			/*
//			 * Increment the relative offset by the field size
//			 */
//			if(!(parentDRT instanceof CobolOverlayType)) 
//				relativeOffsetNumber += drtField.getSize();
//														
//			/*
//			 * Only set the format if the field is an edited type or
//			 * an external floating point
//			 */
//			if((simpleType instanceof COBOLAlphaNumericEditedType) ||
//			  (simpleType instanceof COBOLNumericEditedType) ||
//			  (simpleType instanceof COBOLExternalFloatType)) {
//				simpleTD.setFormat(cobolType.getPic());
//			}
//
//			objectList.add(simpleTD);
//			objectList.add(baseTD);
//		} /* END of if field is CobolType */
//		/*
//		 * The field is an array
//		 */
//		else if(drtField instanceof IArrayField)
//		{
//			/*
//			 * Get the array attributes
//			 */
//			CobolArrayType cobolArrayType = (CobolArrayType)drtField.getType();
//			int[] dimensions = cobolArrayType.getDimensions();
//			int nLowerBound = 1;
//			int nUpperBound = dimensions[0];
//			int dependingOnIndex = -1;
//			String arrayDimensionFormula;
//			String arraySizeFormula;
//										
//			/*
//			 * Get the root location
//			 * by taking the parent ref ID (e.g., "Type:DFHCOMMAREA/ohFive")
//			 * and appending this field's name
//			 */
//			String id = null; 
//			org.eclipse.emf.ecore.resource.Resource res = parentComposed.eResource();
//			if (res instanceof org.eclipse.emf.ecore.xmi.XMIResource)
//				id = ((org.eclipse.emf.ecore.xmi.XMIResource)res).getID(parentComposed); 
//			String arrayName  = id + "/" + drtField.getName();
//
//			/*
//			 * Look through the vector of array names that have depending on elements
//			 * If a name in the vector matches the name of this array,
//			 * the array is variable length;
//			 * else, it is fixed length
//			 */				
//			for(int odoArrayIndex=0; odoArrayIndex < odoArrayNames.size(); odoArrayIndex++) {
//				if(((String)(odoArrayNames.elementAt(odoArrayIndex))).compareTo(arrayName) == 0) {
//					dependingOnIndex = odoArrayIndex;
//				}
//			} /* END of for odoArrayName vector */
//
//			/*
//			 * Create the TypeDescriptor
//			 */
//			ArrayTD arrayTD = tdFactory.createArrayTD();
//			arrayTD.setAlignmentKind(AlignType.BYTE_LITERAL);
//			arrayTD.setStrideInBit(Boolean.FALSE);
//			arrayTD.setLowerBound(Integer.toString(nLowerBound));
//							
//			/*
//			 * Determine whether the array is fixed or variable
//			 * Set the lower and upper bounds
//			 * and associate the array with the element
//			 */
//			if(dependingOnIndex != -1) {
//				COBOLVariableLengthArray variableArray = cobolFactory.createCOBOLVariableLengthArray();
//				variableArray.setDependingOn((COBOLElement)(odoElements.elementAt(dependingOnIndex)));
//				variableArray.setMinUpper(nLowerBound);
//				variableArray.setMaxUpper(nUpperBound);
//				childElement.setArray(variableArray);
//				arrayTD.setUpperBound((String)odoPositions.elementAt(dependingOnIndex));
//			}
//			else {
//				COBOLFixedLengthArray fixedArray = cobolFactory.createCOBOLFixedLengthArray();
//				fixedArray.setMaxUpper(nUpperBound);
//				childElement.setArray(fixedArray);
//				arrayTD.setUpperBound(Integer.toString(nUpperBound));
//			}
//							
//			/*
//			 * The array's base type may be a composed type or a simple type
//			 */
//			if(cobolArrayType.getBaseType() instanceof CobolDynamicRecordType)
//			{
//				CobolDynamicRecordType childDRT = (CobolDynamicRecordType)cobolArrayType.getBaseType();
//
//				/*
//				 * Create a composed type for the child DRT
//				 * and associate it with the array
//				 */
//				childComposed = cobolFactory.createCOBOLComposedType();
//				objectList.add(childComposed);
//
//				parentComposed.getElement().add(childElement);
//				childElement.setLevel(cobolArrayType.getLevel());
//				childElement.setName(drtField.getName());				
//				childElement.setRedefined(Boolean.FALSE);
//				childElement.setSharedType(childComposed);
//				 	
//				/*
//				 * Determine if the field has level 88 values
//				 */
//				generateLevel88Entries(childElement, drtField);
//
//				/*
//				 * Create the associated TypeDescriptor
//				 */
//				aggregateTD = tdFactory.createAggregateInstanceTD();
//				aggregateTD.setOffset(CobolTypeUtilities.createOffset(parentOffsetFormula, parentOffsetNumber, relativeOffsetFormula, relativeOffsetNumber));
//				aggregateTD.setAccessor(AccessorValue.READ_WRITE_LITERAL);
//				aggregateTD.setAttributeInBit(Boolean.FALSE);
//				aggregateTD.setLanguageInstance(childElement);
//				aggregateTD.setPlatformInfo(compilerType);
//				aggregateTD.getArrayDescr().add(arrayTD);
//				objectList.add(aggregateTD);
//
//				/*
//				 * Push this level's current position
//				 */
//				odoCurrentPosition.add(new Integer(positionCounter));
//				
//				/*
//				 * Save the alignment factor of this level
//				 */
//				parentMaxAlignmentFactor = childMaxAlignmentFactor;
//					
//				/*
//				 * Define the sub-elements of the child DRT
//				 */
//				generateRecordEntries(drtField.getName(), childDRT, childComposed, CobolTypeUtilities.addOffsetFormulas(parentOffsetFormula,relativeOffsetFormula), parentOffsetNumber + relativeOffsetNumber);
//
//				/*
//				 * Set the stride to the returned content size plus any packing bytes
//				 * The content size and size then will be changed to the product
//				 * of the stride and the number of occurrences
//				 */
//				packingBytes = CobolTypeUtilities.getPackingBytes(aggregateTD.getContentSize(), childMaxAlignmentFactor);
//				if(packingBytes != 0) {
//					arrayTD.setStride(CobolTypeUtilities.addOffsetFormulas(aggregateTD.getContentSize(), (new Integer(packingBytes)).toString()));
//				}
//				else {
//					arrayTD.setStride(aggregateTD.getContentSize());
//				}
//
//				/*
//				 * Retain the largest alignment factor
//				 */				
//				childMaxAlignmentFactor = Math.max(parentMaxAlignmentFactor, childMaxAlignmentFactor);
//								
//				/*
//				 * Increment the relative offset by the stride times the dimension
//				 * Add to the formula if the array is variable length,
//				 * add to the offset if the array is fixed length
//				 * This also is the size/content size
//				 */
//				if(dependingOnIndex != -1) {
//					arraySizeFormula = CobolTypeUtilities.multiplyOffsetFormulas(arrayTD.getStride(), (String)odoPositions.elementAt(dependingOnIndex));
//				}
//				else {
//					arraySizeFormula = CobolTypeUtilities.multiplyOffsetFormulas(arrayTD.getStride(), (new Integer(nUpperBound)).toString());
//				}	
//				
//				if(!(parentDRT instanceof CobolOverlayType)) 
//					relativeOffsetFormula = CobolTypeUtilities.addOffsetFormulas(relativeOffsetFormula, arraySizeFormula);
//					
//				aggregateTD.setSize(arraySizeFormula);
//				aggregateTD.setContentSize(arraySizeFormula);				
//			} /* END of if composed type */
//			else
//			{
//				/*
//				 * Process the associated simple type
//				 */
//				CobolType cobolBaseType = (CobolType)cobolArrayType.getBaseType();
//				generateCobolTypeEntries(cobolBaseType);
//
//				/*
//				 * Set the initial value if present
//				 */
//				if(drtField.getInitialValue() != null) {
//					processInitialValue(childElement, drtField);
//				}
//	
//				/*
//				 * Increment the relative offset by any packing bytes that are required
//				 * if the field is synchronized
//				 */									 
//				alignmentFactor = CobolTypeUtilities.getAlignmentFactor(cobolBaseType);
//				if((simpleType.getSynchronized().booleanValue() == true) && (alignmentFactor > 1)) {
//					preSyncOffset         = CobolTypeUtilities.createOffset(parentOffsetFormula, parentOffsetNumber, relativeOffsetFormula, relativeOffsetNumber);
//					relativeOffsetNumber += CobolTypeUtilities.getPackingBytes(preSyncOffset, alignmentFactor);
//				}			 
//
//				/*
//				 * Create the associated TypeDescriptor
//				 */
//				simpleTD = tdFactory.createSimpleInstanceTD();
//				simpleTD.setOffset(CobolTypeUtilities.createOffset(parentOffsetFormula, parentOffsetNumber, relativeOffsetFormula, relativeOffsetNumber));
//				simpleTD.setAccessor(AccessorValue.READ_WRITE_LITERAL);
//				simpleTD.setAttributeInBit(Boolean.FALSE);
//				simpleTD.setLanguageInstance(childElement);
//				simpleTD.setPlatformInfo(compilerType);
//				simpleTD.setSharedType(baseTD);
//				simpleTD.getArrayDescr().add(arrayTD);
//
//				/*
//				 * Set the stride to the base content size plus any packing bytes
//				 * The content size and size then will be changed to the product
//				 * of the stride and the number of occurrences
//				 */
//				if(alignmentFactor > 1) {
//					packingBytes  = CobolTypeUtilities.getPackingBytes(Integer.toString(cobolBaseType.getSize()), alignmentFactor);
//					arrayTD.setStride((new Integer(cobolBaseType.getSize() + packingBytes)).toString());
//				}
//				else {
//					arrayTD.setStride(Integer.toString(cobolBaseType.getSize()));
//				}
//								
//				/*
//				 * Increment the relative offset by the record size times the dimension
//				 * Add to the formula if the array is variable length,
//				 * add to the offset if the array is fixed length
//				 * This also is the size/content size
//				 */
//				if(dependingOnIndex != -1) {
//					arraySizeFormula = CobolTypeUtilities.multiplyOffsetFormulas(arrayTD.getStride(), (String)odoPositions.elementAt(dependingOnIndex));
//				}
//				else {
//					arraySizeFormula = CobolTypeUtilities.multiplyOffsetFormulas(arrayTD.getStride(), (new Integer(nUpperBound)).toString());
//				}				 
//				if(!(parentDRT instanceof CobolOverlayType)) 
//					relativeOffsetFormula = CobolTypeUtilities.addOffsetFormulas(relativeOffsetFormula, arraySizeFormula);
//					
//				simpleTD.setContentSize(arraySizeFormula);
//				simpleTD.setSize(arraySizeFormula);
//				
//				/*
//				 * Only set the format if the field is an edited type or
//				 * an external floating point
//				 */
//				if((simpleType instanceof COBOLAlphaNumericEditedType) ||
//				  (simpleType instanceof COBOLNumericEditedType) ||
//				  (simpleType instanceof COBOLExternalFloatType)) {
//					simpleTD.setFormat(cobolBaseType.getPic());
//				}
//
//				/*
//				 * Add the simple type and the TD's to the object list,
//				 * associate it with the element,
//				 * and associate the element with the composed type
//				 */
//				objectList.add(simpleType);
//				objectList.add(simpleTD);
//				objectList.add(baseTD);
//
//				parentComposed.getElement().add(childElement);
//				childElement.setLevel(cobolBaseType.getLevel());
//				childElement.setName(drtField.getName());				
//				childElement.setRedefined(Boolean.FALSE);
//				childElement.setSharedType(simpleType);
//			} /* END of simple type array */
//		} /* END of array field */
//		/*
//		 * The field is a nested record (that is not an array)
//		 */
//		else if(drtField instanceof INestedRecordField)
//		{
//			CobolDynamicRecordType childDRT = (CobolDynamicRecordType)drtField.getType();
//
//			/*
//			 * Create a composed type for the child DRT
//			 * and define its sub-elements
//			 */
//			childComposed = cobolFactory.createCOBOLComposedType();
//			parentComposed.getElement().add(childElement);
//			objectList.add(childComposed);
//
//			childElement.setLevel(childDRT.getLevel());
//			childElement.setName(drtField.getName());				
//			childElement.setRedefined(Boolean.FALSE);
//			childElement.setSharedType(childComposed);
//			 	
//			/*
//			 * Determine if the field has level 88 values
//			 */
//			generateLevel88Entries(childElement, drtField);
//
//			/*
//			 * Create the associated TypeDescriptor
//			 */
//			aggregateTD = tdFactory.createAggregateInstanceTD();
//			aggregateTD.setOffset(CobolTypeUtilities.createOffset(parentOffsetFormula, parentOffsetNumber, relativeOffsetFormula, relativeOffsetNumber));
//			aggregateTD.setAccessor(AccessorValue.READ_WRITE_LITERAL);
//			aggregateTD.setAttributeInBit(Boolean.FALSE);
//			aggregateTD.setLanguageInstance(childElement);
//			aggregateTD.setPlatformInfo(compilerType);
//			objectList.add(aggregateTD);
//
//			/*
//			 * Push this level's current position
//			 */
//			odoCurrentPosition.add(new Integer(positionCounter));
//
//			/*
//			 * The TD sizes will get set within the recursive call,
//			 * once the size has been calculated by adding the component sizes
//			 */
//			generateRecordEntries(drtField.getName(), childDRT, childComposed, CobolTypeUtilities.addOffsetFormulas(parentOffsetFormula,relativeOffsetFormula), parentOffsetNumber + relativeOffsetNumber);
//			
//			/*
//			 * Increment the relative offset by the size,
//			 * which is the computed content size
//			 */
//			if(!(parentDRT instanceof CobolOverlayType)) 
//				relativeOffsetFormula = CobolTypeUtilities.addOffsetFormulas(relativeOffsetFormula, aggregateTD.getContentSize());
//				
//			aggregateTD.setSize(aggregateTD.getContentSize());
//		}
//		/*
//		 * The field is a redefine
//		 */
//		else if(drtField instanceof IOverlayField)
//		{
//			CobolOverlayType overlayType = (CobolOverlayType)drtField.getType();
//			
//			/*
//			 * Push this level's current position
//			 */
//			odoCurrentPosition.add(new Integer(positionCounter));
//			generateRecordEntries(drtField.getName(), overlayType, parentComposed, parentOffsetFormula, parentOffsetNumber + drtField.getRelativeOffset());
//			
//			relativeOffsetNumber += drtField.getSize();
//		}
//		/*
//		 * Undefined type
//		 */
//		else
//		{
//			throw new Exception("Undefined COBOL type");
//		}
//	} /* END of for cursor */
//
//	/*
//	 * Set the content size for the parent TD before returning
//	 * The size is set by the DRT.getSize().  The size reflects
//	 * the maximum size allocated, which would be the stride
//	 * times the maximum upper bound
//	 */
//	InstanceTDBase parentTD = ((COBOLElement)parentComposed.getTypedElement().get(0)).getInstanceTDBase();
//	String aggregateSize    = CobolTypeUtilities.createSize(relativeOffsetFormula, relativeOffsetNumber);
//	parentTD.setContentSize(aggregateSize);
//	
//	/*
//	 * "Pop" (i.e., remove) the last level from the ODO position vector
//	 */
//	if(odoCurrentPosition.size() > 0) {	 
//		odoCurrentPosition.remove(odoCurrentPosition.size() - 1);
//	}
//			 		
//	return;	
//}
//
//private void generateLevel88Entries ( COBOLElement childElement, IAnyField drtField ) {
//								
//	Enumeration possibleKeys = drtField.possibleValueKeys();
//	if(possibleKeys != null) {
//		while(possibleKeys.hasMoreElements()) {
//			Object keyValue = possibleKeys.nextElement();
//			Object[] possibleValues = drtField.getPossibleValue(keyValue.toString());
//
//			COBOL88Element element88 = cobolFactory.createCOBOL88Element();
//			childElement.getContains().add(element88);									
//			
//			for(int j=0; j < possibleValues.length; j++) {
//				COBOL88ElementValue elementValue = cobolFactory.createCOBOL88ElementValue();
//				element88.getHas().add(elementValue);
//				element88.setName(keyValue.toString());
//
//				/*
//				 * Determine whether it is a range and what are its bounds
//				 */
//				if(possibleValues[j] instanceof com.ibm.record.StringRange) {
//					elementValue.setRange(Boolean.TRUE);
//					elementValue.setLowerLimit(((com.ibm.record.StringRange)possibleValues[j]).getLowerRange().toString());
//					elementValue.setUpperLimit(((com.ibm.record.StringRange)possibleValues[j]).getUpperRange().toString());
//				}
//				else if(possibleValues[j] instanceof com.ibm.record.ShortRange) {
//					elementValue.setRange(Boolean.TRUE);
//					elementValue.setLowerLimit(((com.ibm.record.ShortRange)possibleValues[j]).getLowerRange().toString());
//					elementValue.setUpperLimit(((com.ibm.record.ShortRange)possibleValues[j]).getUpperRange().toString());
//				}
//				else if(possibleValues[j] instanceof com.ibm.record.IntegerRange) {
//					elementValue.setRange(Boolean.TRUE);
//					elementValue.setLowerLimit(((com.ibm.record.IntegerRange)possibleValues[j]).getLowerRange().toString());
//					elementValue.setUpperLimit(((com.ibm.record.IntegerRange)possibleValues[j]).getUpperRange().toString());
//				}
//				else if(possibleValues[j] instanceof com.ibm.record.LongRange) {
//					elementValue.setRange(Boolean.TRUE);
//					elementValue.setLowerLimit(((com.ibm.record.LongRange)possibleValues[j]).getLowerRange().toString());
//					elementValue.setUpperLimit(((com.ibm.record.LongRange)possibleValues[j]).getUpperRange().toString());
//				}
//				else if(possibleValues[j] instanceof FloatRange) {
//					elementValue.setRange(Boolean.TRUE);
//					elementValue.setLowerLimit(((com.ibm.record.FloatRange)possibleValues[j]).getLowerRange().toString());
//					elementValue.setUpperLimit(((com.ibm.record.FloatRange)possibleValues[j]).getUpperRange().toString());
//				}
//				else if(possibleValues[j] instanceof com.ibm.record.DoubleRange) {
//					elementValue.setRange(Boolean.TRUE);
//					elementValue.setLowerLimit(((com.ibm.record.DoubleRange)possibleValues[j]).getLowerRange().toString());
//					elementValue.setUpperLimit(((com.ibm.record.DoubleRange)possibleValues[j]).getUpperRange().toString());
//				}
//				else if(possibleValues[j] instanceof com.ibm.record.ByteRange) {
//					elementValue.setRange(Boolean.TRUE);
//					elementValue.setLowerLimit(((com.ibm.record.ByteRange)possibleValues[j]).getLowerRange().toString());
//					elementValue.setUpperLimit(((com.ibm.record.ByteRange)possibleValues[j]).getUpperRange().toString());
//				}
//				else if(possibleValues[j] instanceof com.ibm.record.BigDecimalRange) {
//					elementValue.setRange(Boolean.TRUE);
//					elementValue.setLowerLimit(((com.ibm.record.BigDecimalRange)possibleValues[j]).getLowerRange().toString());
//					elementValue.setUpperLimit(((com.ibm.record.BigDecimalRange)possibleValues[j]).getUpperRange().toString());
//				}
//				else {
//					elementValue.setLowerLimit(possibleValues[j].toString());
//				}
//			}	
//		}
//	} /* END of if possibleKeys */
//	
//	return;
//}
//   // called by the SmartGuide to get a list of level-01 commareas contained
//   // within the source COBOL file
//private String[] getLevel01List() throws Exception
//{
//	String line = new String();
//	String recordLine;
//	Vector group = new Vector();
//	BufferedReader f_in = null;
//
//	try
//	{
////		f_in = new BufferedReader(new FileReader(fileName));
//		URIConverter converter = URIConverterRegister.getURIConverter();
//		f_in = new BufferedReader(new InputStreamReader(converter.makeInputStream(fileName)));
//			
//	} catch (FileNotFoundException exc) {
//		//DEFECT 22348
//		try {
//			f_in = new BufferedReader(new FileReader(fileName));
//		} catch (FileNotFoundException e) {
//			Object[] obj = {fileName};
//			throw new CobolException(CobolResource.getString("_EXC_Error_opening_file", obj));
//		}
//	}	
//
//	try {
//		try {
//			while ( f_in.ready() )
//			{
//				line = f_in.readLine();
//				if ( line != null && line.length() > 6 && line.substring(7).trim().length() > 0 && line.charAt(6) != '*' && line.charAt(6) != '/' )
//				{
//					if ( line.length() > 72 )
//						recordLine = line.substring(7, 72).trim();
//					else
//						recordLine = line.substring(7).trim();
//					StringBuffer recordClause = new StringBuffer(recordLine);
//					while ( !recordLine.endsWith(".") && line != null )
//					{
//						line = f_in.readLine();
//						if ( line != null && line.length() > 6 && line.substring(7).trim().length() > 0 && line.charAt(6) != '*' && line.charAt(6) != '/' )
//						{
//							if ( line.length() > 72 )
//								recordLine = line.substring(7, 72).trim();
//							else
//								recordLine = line.substring(7).trim();
//							recordClause.append(" "+recordLine);
//						}
//					}
//					int length = recordClause.length();
//					recordClause.insert(length-1, ' ');
//					StringTokenizer st = new StringTokenizer(recordClause.toString()," .");
//					if ( st.countTokens() > 1 )
//					{
//						String token1 = st.nextToken();
//						String token2 = st.nextToken();
//						try {
//							int numInt = Integer.parseInt(token1);
//							if ( numInt == 1 )
//							{
//								CobolParser parser = new CobolParser();
//								parser.addSymbols();
//								if ( parser.findSymbol(token2) == -1 )
//									group.addElement(token2);
//							}
//						} catch (NumberFormatException e) {
//							if ( token1.equalsIgnoreCase("PROCEDURE") && token2.equalsIgnoreCase("DIVISION") )
//								break;
//						}
//					}
//				}
//			}
//		} catch (IOException exc) {
//			Object[] obj = {fileName};
//			throw new CobolException(CobolResource.getString("_EXC_Error_reading_file", obj));			
//		}
//
//		String[] list = new String[group.size()];
//		for (int i=0; i<group.size(); i++)
//			list[i] = (String)group.elementAt(i);
//
//		return list;
//
//	} finally {
//		try {
//			f_in.close();
//		} catch (IOException exc) {
//			Object[] obj = {fileName};
//			throw new CobolException(CobolResource.getString("_EXC_Error_reading_file", obj));			
//		}
//	}
//}
/**
 * Insert the method's description here.
 * Creation date: (7/19/00 3:35:09 PM)
 * @return john.tools.implementation.CobolSourceImporter
 */
public static CobolSourceImporter instance() {

	if(thisImporter == null) {
		thisImporter = new CobolSourceImporter();
	}
	
	return thisImporter;
}
//
/////**
//// * Loads the Resource with the given URI using the given load options.
//// * <p>
//// * The default behavior is to create an InputStream from the URI and
//// * invoke load(uri, inputstream, options).  This method overloads the
//// * corresponding load method in ResourceFactoryImpl to correctly close
//// * the stream if an exception occurs.
//// */
//// public Resource load(String uri, Object options) throws Exception {
////	URIConverter c = URIConverterRegister.getURIConverter();
////	InputStream is = c.makeInputStream(uri);
////	try {
////		return load(uri, is, options);
////	} finally {
////		try {
////			is.close();
////		} catch (Exception e) {
////		}
////	}
//// }
//
/////**
//// * Loads the Resource from the given InputStream, the given URI, and the given
//// * load options inside the given ResourceSet.
//// * <p>
//// * You need to implement this method if you subclass this class; the default
//// * behavior is to return null.
//// */
////public Resource load(ResourceSet resources, String uri, InputStream is, Object options) throws Exception {
////
////String[] generatedNode = new String[1];
////
////	/*
////	 * Strip out any #object name references
////	 */
////	int hashIndex = uri.indexOf("#");
////	if(hashIndex != -1)
////	{
////		fileName = uri.substring(0, hashIndex);
////	}
////	else {
////		fileName = uri;
////	}
////
////	/*
////	 * Get the default values from the importer preference page
////	 */
////	cobolOptions = CobolPreferenceStore.getValues();		
////	
////	if(options != null) {
////		/* 
////		 * Override the default options with those specified by 
////		 * the caller.  This ensures all options have a value.
////		 */
////		HashMap userOptions = (HashMap)options;
////		/* 
////		 * Loop thru all the options replacing the defaults.
////		 */
////		Set npSet = userOptions.keySet();
////		for (Iterator i = npSet.iterator(); i.hasNext(); ) {
////			String key = (String)i.next();
////			
////			Object original = cobolOptions.get(key);
////			if (original != null) {
////				/*
////				 * Make sure the value for the key is valid.
////				 */
////				if (key.equals(ICobolPreferenceConstants.PRE_COBOL_CODEPAGE)) {
////					CobolTypeUtilities.validateCodepage((String)userOptions.get(key));
////				} 
////				else if (key.equals(ICobolPreferenceConstants.PRE_COBOL_ENDIAN)) {
////					String endian = (String)userOptions.get(key);
////					if (endian != null && !endian.equals(ICobolPreferenceConstants.ENDIAN_BIG) && 
////						!endian.equalsIgnoreCase(ICobolPreferenceConstants.ENDIAN_LITTLE)) {
////						Object[] obj = { endian, key };
////						throw new CobolException(CobolResource.getString("_EXC_Invalid_Value_for_Option", obj));
////					}
////				}
////				else if (key.equals(ICobolPreferenceConstants.PRE_COBOL_EXT_DECIMAL_SIGN)) {
////					String sign = (String)userOptions.get(key);
////					if (sign != null && !sign.equals(ICobolPreferenceConstants.DECIMAL_ASCII) && 
////						!sign.equals(ICobolPreferenceConstants.DECIMAL_EBCDIC) &&
////						!sign.equals(ICobolPreferenceConstants.DECIMAL_EBCDICC) ) {
////						Object[] obj = { sign, key };
////						throw new CobolException(CobolResource.getString("_EXC_Invalid_Value_for_Option", obj));
////					}
////				}
////				else if (key.equals(ICobolPreferenceConstants.PRE_COBOL_FLOATING_POINT_FORMAT)) {
////					Integer fpf = (Integer)userOptions.get(key);
////					if (fpf.intValue() !=0 && fpf.intValue() != 1) {
////						Object[] obj = { fpf, key };
////						throw new CobolException(CobolResource.getString("_EXC_Invalid_Value_for_Option", obj));
////					}
////				}
////				else if (key.equals(ICobolPreferenceConstants.PRE_COBOL_NSYMBOL)) {
////					String sym = (String)userOptions.get(key);
////					if (sym != null && !sym.equals(ICobolPreferenceConstants.NSYMBOL_DBCS) && 
////						!sym.equals(ICobolPreferenceConstants.NSYMBOL_NATIONAL) ) {
////						Object[] obj = { sym, key };
////						throw new CobolException(CobolResource.getString("_EXC_Invalid_Value_for_Option", obj));
////					}
////				}
////				else if (key.equals(ICobolPreferenceConstants.PRE_COBOL_QUOTE)) {
////					String quote = (String)userOptions.get(key);
////					if (quote != null && !quote.equals(ICobolPreferenceConstants.QUOTE_SINGLE) && 
////						!quote.equals(ICobolPreferenceConstants.QUOTE_DOUBLE) ) {
////						Object[] obj = { quote, key };
////						throw new CobolException(CobolResource.getString("_EXC_Invalid_Value_for_Option", obj));
////					}
////				}
////				else if (key.equals(ICobolPreferenceConstants.PRE_COBOL_REMOTE_ENDIAN)) {
////					String endian = (String)userOptions.get(key);
////					if (endian != null && !endian.equals(ICobolPreferenceConstants.ENDIAN_BIG) && 
////						!endian.equals(ICobolPreferenceConstants.ENDIAN_LITTLE) ) {
////						Object[] obj = { endian, key };
////						throw new CobolException(CobolResource.getString("_EXC_Invalid_Value_for_Option", obj));
////					}
////				}
////				else if (key.equals(ICobolPreferenceConstants.PRE_COBOL_TRUNC)) {
////					String trunc = (String)userOptions.get(key);
////					if (trunc != null && !trunc.equals(ICobolPreferenceConstants.TRUNC_BIN) && 
////						!trunc.equals(ICobolPreferenceConstants.TRUNC_OPT) &&
////						!trunc.equals(ICobolPreferenceConstants.TRUNC_STD) ) {
////						Object[] obj = { trunc, key };
////						throw new CobolException(CobolResource.getString("_EXC_Invalid_Value_for_Option", obj));
////					}
////				}
////					 
////				cobolOptions.put(key, userOptions.get(key));
////			} else {
////				Object[] obj = { key };
////				throw new CobolException(CobolResource.getString("_EXC_Invalid_Option", obj));
////			}
////				
////			
////		}
////		 
////				
////	}
////		
////	/*
////	 * Create an extent in which to hold the objects
////	 */
////	objectList = new ArrayList(10);
////
////
////	/*
////	 * Parse the file, get the 01 levels, create DRT's,
////	 * and convert them to the COBOL model
////	 */
////	level01Records = getLevel01List();
////		
////	/*
////	 * Import each of the specified records
////	 */
////	for(int i=0; i < level01Records.length; i++) {
////		/*
////		 * Generate the dynamic record types
////		 */
////		generatedNode[0] = level01Records[i];
////		generateDRT(generatedNode, fileName, isCics);
////
////		/*
////		 * Provide the packing hint - RecordFieldNotFoundExc can
////		 * be thrown if cobol file has a syntax error.  Throw 
////		 * a little better exception.
////		 */
////		 try {
////			mainDRT.pack(0);
////		 } catch (RecordFieldNotFoundException ex) {
////		 	Object[] obj = {fileName, generatedNode[0]};
////  			throw new CobolException(CobolResource.getString("_EXC_Syntax_error", obj));
////		 }
////
////		/*
////		 * Generate the model entries
////		 */
////		generateRecordEntries(level01Records[i], mainDRT, null, "", 0);
////	}	
////
////	/*
////	 * Create a resource and an extent to associate with it
////	 */
////	org.eclipse.emf.common.util.URI uriValue = org.eclipse.emf.common.util.URI.createFileURI(uri); 
////	org.eclipse.emf.ecore.xmi.impl.XMIResourceImpl outputResource = new org.eclipse.emf.ecore.xmi.impl.XMIResourceImpl(uriValue);
////	outputResource.getContents().addAll(objectList);
////		
////	return outputResource;	
////}
//
///**
// *  Load sub-level
// */
public com.ibm.etools.cobol.COBOLElement loadSublevelRecord(com.ibm.etools.cobol.COBOLElement newParentElement, String aFileName, Object options) {
	return null;
}
//
//COBOLElement recalculatedElement = null;
//String[] selectedNode = new String[1];
//
//	/*
//	 * Set this file name
//	 */
//	this.fileName = aFileName;
//	
//	/*
//	 * Get the HashMap of options that affect the population of the models
//	 */
//	cobolOptions = (HashMap)options;
//	if(cobolOptions == null) {
//		/*
//		 * Get the default values from the importer preference page
//		 */
//		cobolOptions = CobolPreferenceStore.getValues();		
//	}
//		
//	/*
//	 * Create an extent in which to hold the objects
//	 */
//	objectList = new ArrayList(10);
//
//
//	try {
//		/*
//		 * Generate the dynamic record types
//		 */
//		String id = null; 
//		org.eclipse.emf.ecore.resource.Resource res = newParentElement.eResource();
//		if (res instanceof org.eclipse.emf.ecore.xmi.XMIResource)
//			id = ((org.eclipse.emf.ecore.xmi.XMIResource)res).getID(newParentElement);
//					 
//		String selectedRefId = id;
//		selectedNode[0] = selectedRefId.replace('/', '.').substring(8);
//		generateDRT(selectedNode, fileName, isCics);
//	
//		/*
//		 * Provide the packing hint
//		 */
//		mainDRT.pack(0);
//	
//		/*
//		 * Generate the model entries
//		 */
//		generateRecordEntries(newParentElement.getName(), mainDRT, null, "", 0);
//
//		/*
//		 * Take the COBOLElement from the new object list,
//		 * as that is the updated version of the input element
//		 */
//		Iterator typeIterator = objectList.iterator();
//			
//		while(typeIterator.hasNext()) {
//			Object possibleType = typeIterator.next();
//	
//			// The top level is identified as a COBOLElement
//			if(possibleType instanceof COBOLElement) {
//				recalculatedElement = (COBOLElement)possibleType;				
//			}
//		}// while
//			
//		/*
//		 * Create a resource and an extent to associate with it
//		 */
//		String uri = aFileName + "OUT.xml";	 
//		org.eclipse.emf.common.util.URI uriValue = org.eclipse.emf.common.util.URI.createFileURI(uri);
//		org.eclipse.emf.ecore.xmi.impl.XMIResourceImpl outputResource = new org.eclipse.emf.ecore.xmi.impl.XMIResourceImpl(uriValue);
//		outputResource.getContents().addAll(objectList);
//	
//		outputResource.save();
//	}
//	catch(Exception ex) {
//		int i = 0;
//		i = 1;
//	}
//
//			
//	return recalculatedElement;	
//}
//
//
//  /**
//   * Create a TypeDescriptor instance object.
//   * If the isAggregate flag is set, create an AggregateInstanceTD; otherwise create
//   * a SimpleInstanceTD.
//   */
//public InstanceTDBase createInstanceTD(boolean isAggregate) {
//	InstanceTDBase instance = null;
//	if (isAggregate)
//    	instance = tdFactory.createAggregateInstanceTD();
//    else
//    	instance = tdFactory.createSimpleInstanceTD();
//
//    instance.setAccessor(AccessorValue.READ_WRITE_LITERAL);
//    instance.setAttributeInBit(Boolean.FALSE);
//    instance.setPlatformInfo(compilerType);
//    return instance;
//}

 public org.eclipse.emf.ecore.resource.Resource createResource(org.eclipse.emf.common.util.URI arg) {
	if (System.getProperty("os.name").startsWith("Windows"))
		return new CobolSourceResourceWin(arg); 	
 	return new CobolSourceResource(arg); //For non windows platform 	
 }

}
