// ****************************************************************
//
//   IBM Confidential
//   OCO Source Materials
//   <<com.ibm.etools.cobol.preference.ui>>
//   (C) Copyright IBM Corp. 2001,2004 - All Rights Reserved.
//   US Government Users Restricted Rights - Use, duplication or disclosure
//   restricted by GSA ADP Schedule Contract with IBM Corp.
//
// ****************************************************************


package com.ibm.etools.cobol.preference.ui.common;





public class CobolCodePageFinder {
	private static final String copyright = "Licensed Material - Property of IBM <<com.ibm.etools.cobol.preference.ui>> (C) Copyright IBM Corp. 2003,2004 - All Rights Reserved. US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.".intern(); //$NON-NLS-1$
	
	public CobolCodePageFinder() {
	}

	public Object [] findCCodePages() {
		java.util.SortedMap csMap = java.nio.charset.Charset.availableCharsets();
		java.util.Set keySet = csMap.keySet();
		java.util.Comparator c = new java.util.Comparator()
		{
			public int compare (Object o1, Object o2)
			{
				return ((String)o1).compareTo(o2);
			}

			public boolean equals (Object obj)
			{
				return super.equals (obj);
			}
		};
		java.util.Set allCodepages = new java.util.TreeSet(c);
		allCodepages.addAll(keySet);
		for (java.util.Iterator iter = keySet.iterator(); iter.hasNext();)
		{
			String canonicalCP = (String)iter.next();
			java.nio.charset.Charset aCs = java.nio.charset.Charset.forName (canonicalCP);
			java.util.Set aliasSet = aCs.aliases();
			if (!aliasSet.isEmpty())
			{
				for (java.util.Iterator iterator = aliasSet.iterator(); iterator.hasNext();)
				{
					String aliasCP = (String)iterator.next();
					allCodepages.add (aliasCP);
				}
			}
		}
		return allCodepages.toArray();
	}	
}
















